post
https://test-partner.payu.in/api/v3/merchants/kyc_document/send_ckyc_otp
Send CKYC OTP — Step 03A of 16
Sends OTP to merchant's mobile for CKYC verification. Only for Individual / Sole Proprietorship entities.
Endpoint
POST /api/v3/merchants/kyc_document/send_ckyc_otp
Prerequisite Steps
- Step 01:
midfrom CreateMerchant response - Step 02: PAN submitted and entity type = Individual or Sole Proprietorship
Entity Applicability
Individual and Sole Proprietorship only. For all other entities, use Sub-request C (Fetch CKYC Data).
Request Body (JSON)
| Parameter | Type | Required | Validation | Description |
|---|---|---|---|---|
merchant_id | string | Yes | Numeric mid from Step 01 | Merchant ID |
mobile | string | Yes | 10-digit mobile | Same mobile used in Step 01 |
consent | boolean | Yes | Must be true | Merchant consent for CKYC — mandatory for compliance |
Error Handling
| Error Code | Cause | Recovery |
|---|---|---|
422 - "Consent is required" | consent not true | Set consent to true |
422 - "Mobile is invalid" | Bad mobile format | Use 10-digit number |
422 - "PAN not found" | PAN from Step 02 not yet verified | Wait for PAN verification, retry |
Next Step
After merchant receives OTP, call Sub-request B (Verify CKYC OTP).
